Bug 802780 - Configuration editor in server plugin details is not stretching vertically
Configuration editor in server plugin details is not stretching vertically
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.3
All All
high Severity medium (vote)
: ---
: RHQ 4.4.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: rhq-uxd
  Show dependency treegraph
 
Reported: 2012-03-13 09:47 EDT by John Sanda
Modified: 2013-08-31 06:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:13:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A screen shot of the issue (34.20 KB, image/png)
2012-03-13 09:47 EDT, John Sanda
no flags Details
Verified-screenshot (105.61 KB, image/jpeg)
2012-04-26 07:59 EDT, Jeeva Kandasamy
no flags Details

  None (edit)
Description John Sanda 2012-03-13 09:47:14 EDT
Created attachment 569684 [details]
A screen shot of the issue

Description of problem:
When I go to view the details view for a server plugin that has a configuration, the configuration section is not stretching vertically, resulting in only one row being visible at a time.


Version-Release number of selected component (if applicable):


How reproducible:
always


Steps to Reproduce:
1. Log into RHQ server.
2. Click on Administration link in top level nav.
3. Click on Server Plugins link.
4. Click on Alert:SNMP link.
5. Click on the Plugin Configuration banner.
  
Actual results:
The configuration editor is not filling space vertically.

Expected results:
The config editor should stretch vertically.

Additional info:
Comment 1 Jay Shaughnessy 2012-03-28 16:34:57 EDT
master commit 390d77685e376a39ea51a1cba4f3bd392cc3b290

I was also concerned that the async building of the section stack was a
problem, which it may have been, I'm not sure.  Anyway, I think it's in decent shape now and now waits to present the view until it's fully built.


Test Notes:
Try several server plugins expanding and collapsing various sections. Make sure
you play with the Cobbler server plugin, which is the only plugin I know
of with the scheduled jobs section.
Comment 2 Jeeva Kandasamy 2012-04-26 07:59:10 EDT
Created attachment 580451 [details]
Verified-screenshot

Verified on the Build:
Version: 4.4.0-SNAPSHOT
Build Number: c87d039
GWT Version: 2.4.0
SmartGWT Version: 3.0

Browser: Firefox ESR 10.0.3
OS: RHEL 6.2 x86_64

Verified Screen shot is attached
Comment 3 Heiko W. Rupp 2013-08-31 06:13:04 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.